Skip to main content
`Ctrl`+`K`

# EPSLOBPCGSetBlockSize

Sets the block size of the LOBPCG method.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSLOBPCGSetBlockSize(EPS eps,PetscInt bs)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- bs - the block size

## Options Database Key

- -eps_lobpcg_blocksize <bs> - sets the block size

## See Also

EPS: Eigenvalue Problem Solver, `EPSLOBPCG`, `EPSLOBPCGGetBlockSize()`

## Level

advanced

## Location

src/eps/impls/cg/lobpcg/lobpcg.c

## Implementations

EPSLOBPCGSetBlockSize_LOBPCG() in src/eps/impls/cg/lobpcg/lobpcg.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages